/*******************************************************************************
 * Copyright 2019 2Fi Business Solutions Ltd.
 *
 *
 *
 * This code is copyrighted. Under no circumstances should any party, people,
 * or organization should redistribute any portions of this code in any form,
 * either verbatim or through electronic media, to any third parties, unless
 * under explicit written permission by 2Fi Business Solutions Ltd.
 ******************************************************************************/
package com.ffii.tbms.log;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ffii.core.BaseEntity;

@Entity
@Table(name = "scheduled_task_log")
public class ScheduledTaskLog extends BaseEntity<Integer> {

	private static final long serialVersionUID = -7423670833004156679L;

	@Column(columnDefinition = "varchar(40)", nullable = false)
	private String module;

	@Column(columnDefinition = "varchar(50)", nullable = false)
	private String task;

	@Column(columnDefinition = "datetime", nullable = false)
	private Date startDateTime;

	@Column(columnDefinition = "datetime", nullable = false)
	private Date endDateTime;

	@Column(columnDefinition = "varchar(10)", nullable = false)
	private String result;

	@Column(columnDefinition = "TEXT")
	private String remarks;

	public String getModule() {
		return module;
	}

	public void setModule(String module) {
		this.module = module;
	}

	public String getTask() {
		return task;
	}

	public void setTask(String task) {
		this.task = task;
	}

	public Date getStartDateTime() {
		return startDateTime;
	}

	public void setStartDateTime(Date startDateTime) {
		this.startDateTime = startDateTime;
	}

	public Date getEndDateTime() {
		return endDateTime;
	}

	public void setEndDateTime(Date endDateTime) {
		this.endDateTime = endDateTime;
	}

	public String getResult() {
		return result;
	}

	public void setResult(String result) {
		this.result = result;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

}
